Menu

apiDeclareStock

MutationClé requise

Arguments

NomTypeDescription
idempotencyKeyString!requis
offerIdString!requis
onHandQtyInt!requis

Retourne

StockAvailabilityView!

Exemple

GraphQL
mutation ApiDeclareStock($idempotencyKey: String!, $offerId: String!, $onHandQty: Int!) {
  apiDeclareStock(idempotencyKey: $idempotencyKey, offerId: $offerId, onHandQty: $onHandQty) {
    availableQty
    offerId
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"mutation ApiDeclareStock($idempotencyKey: String!, $offerId: String!, $onHandQty: Int!) { apiDeclareStock(idempotencyKey: $idempotencyKey, offerId: $offerId, onHandQty: $onHandQty) { availableQty offerId } }"}'